Package fr.gouv.vitam.functional.administration.common.counter

# Enum Class SequenceType

java.lang.Object
java.lang.Enum<SequenceType>
fr.gouv.vitam.functional.administration.common.counter.SequenceType

All Implemented Interfaces:
  `Serializable`, `Comparable<SequenceType>`, `Constable`

public enum SequenceType extends Enum<SequenceType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCESS_CONTRACT_SEQUENCE`
  Access contract collection
  `ACCESSION_REGISTER_DETAIL`
  Accession Register Detail sequence type
  `ACCESSION_REGISTER_SYMBOLIC`
  Accession Register Symbolic sequence type
  `AGENCIES_SEQUENCE`
  Agencies Collection
  `ARCHIVE_UNIT_PROFILE_SEQUENCE`
  Archive Unit Profile collection
  `CONTEXT_SEQUENCE`
  Context collection
  `FORMATS`
  Formats sequence type
  `GRIFFIN`
  `INGEST_CONTRACT_SEQUENCE`
  Ingest contract collection
  `MANAGEMENT_CONTRACT_SEQUENCE`
  Management contract collection
  `ONTOLOGY_SEQUENCE`
  Ontology collection
  `PRESERVATION_SCENARIO`
  `PROFILE_SEQUENCE`
  Profile collection
  `RULES_SEQUENCE`
  Rules Collection
  `SCHEMA_SEQUENCE`
  Schema collection
  `SECURITY_PROFILE_SEQUENCE`
  Security profile collection

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BACK_UP_SEQUENCE_PREFIX`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SequenceType`
  `fromFunctionalAdminCollections(FunctionalAdminCollections functionalAdminCollection)`
  `String`
  `getBackupSequenceName()`
  Getter for name;
  `FunctionalAdminCollections`
  `getCollection()`
  Getter for collection;
  `String`
  `getName()`
  Getter for name;
  `static SequenceType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SequenceType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AGENCIES_SEQUENCE

    public static final SequenceType AGENCIES_SEQUENCE
    Agencies Collection

  - ### RULES_SEQUENCE

    public static final SequenceType RULES_SEQUENCE
    Rules Collection

  - ### INGEST_CONTRACT_SEQUENCE

    public static final SequenceType INGEST_CONTRACT_SEQUENCE
    Ingest contract collection

  - ### ACCESS_CONTRACT_SEQUENCE

    public static final SequenceType ACCESS_CONTRACT_SEQUENCE
    Access contract collection

  - ### MANAGEMENT_CONTRACT_SEQUENCE

    public static final SequenceType MANAGEMENT_CONTRACT_SEQUENCE
    Management contract collection

  - ### PROFILE_SEQUENCE

    public static final SequenceType PROFILE_SEQUENCE
    Profile collection

  - ### ARCHIVE_UNIT_PROFILE_SEQUENCE

    public static final SequenceType ARCHIVE_UNIT_PROFILE_SEQUENCE
    Archive Unit Profile collection

  - ### ONTOLOGY_SEQUENCE

    public static final SequenceType ONTOLOGY_SEQUENCE
    Ontology collection

  - ### CONTEXT_SEQUENCE

    public static final SequenceType CONTEXT_SEQUENCE
    Context collection

  - ### SECURITY_PROFILE_SEQUENCE

    public static final SequenceType SECURITY_PROFILE_SEQUENCE
    Security profile collection

  - ### FORMATS

    public static final SequenceType FORMATS
    Formats sequence type

  - ### ACCESSION_REGISTER_SYMBOLIC

    public static final SequenceType ACCESSION_REGISTER_SYMBOLIC
    Accession Register Symbolic sequence type

  - ### GRIFFIN

    public static final SequenceType GRIFFIN

  - ### PRESERVATION_SCENARIO

    public static final SequenceType PRESERVATION_SCENARIO

  - ### ACCESSION_REGISTER_DETAIL

    public static final SequenceType ACCESSION_REGISTER_DETAIL
    Accession Register Detail sequence type

  - ### SCHEMA_SEQUENCE

    public static final SequenceType SCHEMA_SEQUENCE
    Schema collection

- ## Field Details

  - ### BACK_UP_SEQUENCE_PREFIX

    public static final String BACK_UP_SEQUENCE_PREFIX
    See Also:
      - Constant Field Values

- ## Method Details

  - ### values

    public static SequenceType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SequenceType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getName

    public String getName()
    Getter for name;

  - ### getBackupSequenceName

    public String getBackupSequenceName()
    Getter for name;

  - ### getCollection

    public FunctionalAdminCollections getCollection()
    Getter for collection;

  - ### fromFunctionalAdminCollections

    public static SequenceType fromFunctionalAdminCollections(FunctionalAdminCollections functionalAdminCollection)